Bug 11584 - Small typo error in smb.conf manpage
Small typo error in smb.conf manpage
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Documentation
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba Documentation QA Contact~
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-01 11:16 UTC by Yvan
Modified: 2015-11-06 11:08 UTC (History)
2 users (show)

See Also:


Attachments
proposed patch (1.16 KB, patch)
2015-11-01 11:21 UTC, Yvan
kseeger: review+
bjacke: review+
Details
Patch for 4.2 and 4.3 (1.42 KB, patch)
2015-11-03 08:36 UTC, Karolin Seeger
kseeger: review+
bjacke: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yvan 2015-11-01 11:16:39 UTC
Hi,

In smb.conf manpage, you can find the sentence "This is parameter has been was deprecated in Samba 3.0.23, but re-activated in Samba 3.0.31 and above, as it now only controls permission changes if the user is in the owning primary group."

The beginning should be in my opinion (but english is not my native language) "This parameter was deprecated in Samba 3.0.23, ...".

Thanks for you time and work,
Yvan
Comment 1 Yvan 2015-11-01 11:21:24 UTC
Created attachment 11563 [details]
proposed patch

Here is a patch proposal: be careful ! Working with git and proposing patches is completely new to me, there are chances I've done something wrong.

Thanks for your review.
Comment 2 Yvan 2015-11-01 11:26:43 UTC
Sorry, I forgot to mention that I did NOT run "make" to check my changes.

Regards,
Yvan
Comment 3 Mathieu Parent 2015-11-01 12:46:41 UTC
Note: this was originally reported at https://bugs.debian.org/803337
Comment 4 Karolin Seeger 2015-11-02 10:37:23 UTC
Thanks a lot for providing the patch! :)
Pushed to autobuild-master.
Comment 5 Karolin Seeger 2015-11-03 08:34:52 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to master
Comment 6 Karolin Seeger 2015-11-03 08:36:01 UTC
Created attachment 11568 [details]
Patch for 4.2 and 4.3

Patch for v4-3-test branch
Comment 7 Karolin Seeger 2015-11-03 08:38:07 UTC
(In reply to Karolin Seeger from comment #6)
...and v4-2-test.
Comment 8 Karolin Seeger 2015-11-03 09:56:20 UTC
Pushed to autobuild-v4-[2|3]-test.
Comment 9 Karolin Seeger 2015-11-06 11:08:19 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to both branches.
Closing out bug report.

Thanks!